Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26413

Description

This concerns atlas printing (layout).

When using the expression represent_value(fieldname) in the context of a relation reference widget, the preview in the expression builder

works fine - but on the layout the internal code is displayed instead of the display value text.

See screenshot attached.

Needs to be backported to QGIS 3.0x as well.

Thanks for having a look at this. Thanks!

Associated revisions

Revision 8b59bdcc - 2018-03-28 10:21 PM - Nyall Dawson

[layouts] Fix missing layer scope for atlas enabled items

Fixes #18525

Revision 842ec80a - 2018-04-02 05:01 AM - Nyall Dawson

[layouts] Fix missing layer scope for atlas enabled items

Fixes #18525

(cherry-picked from 8b59bdc)

History

#1 - 2018-03-24 12:07 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce. Can you make a demo project which shows this issue?

#2 - 2018-03-28 10:20 PM - Nyall Dawson

- % Done changed from 0 to 100
- Status changed from Feedback to Closed

Applied in changeset commit:qgis|8b59bdcc942648495826ac7dbfdb793b2a176e8c.
